Page MenuHomePhabricator

Delinker should delink and replace images on Wikidata too
Closed, ResolvedPublic

Description

At the moment if an image gets deleted/replaced/renamed on Commons, the delinker works on about any Wikimedia project except Wikidata.

See https://www.wikidata.org/wiki/Wikidata:Database_reports/Constraint_violations/P18#Existing_file for the current backlog.

Delinker needs globalusage on Wikidata so it can find where the images are used.


Version: core-(2.0)
Severity: normal

Details

Reference
bz64794

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:10 AM
bzimport set Reference to bz64794.
bzimport added a subscriber: Unknown Object (????).
jayvdb set Security to None.
jayvdb removed a subscriber: Unknown Object (????).
Steinsplitter added a subscriber: Steinsplitter.EditedJan 6 2015, 8:52 AM

Delinker works not on *any Wikimedia project* as the code on toolslabs is completely outdated (the family modules, etc, - some unpublished hacks too).
@Multichill: Can you assist with setting up the newest version of delinker on toolslabs?

@Lydia_Pintscher I have seen that deleted pages will be automatically removed from wikidata. Can we do the same for files, please?

RP88 added a subscriber: RP88.Jan 7 2015, 2:08 PM
Lydia_Pintscher added a subscriber: hoo.

@hoo: Would that be possible?

hoo added a comment.Jan 8 2015, 4:56 PM

@hoo: Would that be possible?

Given that we record commons media links as image usage now, yes it would be possible, but not trivial (would probably also need a new extension as that's to Wikimedia specific for WikibaseClient).

I'm afraid we have to rebuild delinker from the ground up based on pywikibot core instead of compat. I don't really feel like doing that, or at least not anytime soon.

Getting delinker to a proper codebase should probably not be discussed in this bug, but in a new one and make this one blocking.

Doing it in Wikibase itself feels wrong. It's not how it's done with normal images and the flow of information seems to be in the wrong direction (Commons knows about usage on Wikidata, but Wikidata doesn't know about deletions on Commons).

Multichill changed the task status from Open to Stalled.Jan 11 2015, 4:25 PM
hoo added a comment.Jan 11 2015, 4:36 PM

Doing it in Wikibase itself feels wrong. It's not how it's done with normal images and the flow of information seems to be in the wrong direction (Commons knows about usage on Wikidata, but Wikidata doesn't know about deletions on Commons).

We've been doing that for page deletions for more than a year and it would be nice to also do that for image deletions IMO (but, as said, that would be another extension to Wikibase, not Wikibase client itself).
Having such an extension to replace the existing functionality of delinker would certainly be cool, but I'm not sure someone will work on that.

Steinsplitter closed this task as Resolved.EditedJan 19 2015, 6:48 AM
Steinsplitter claimed this task.

See https://www.wikidata.org/wiki/Special:Contributions/CommonsDelinker (Thanks to Magnus)

Please flag bot if needed.

Steinsplitter removed Steinsplitter as the assignee of this task.Jan 19 2015, 6:48 AM